# Takes one argument, assumes it is a file name.
# If a file with that name does not exist already,
# then it is created amd the user is asked whether to
# remove this file or not.

FILE=$1
if test -f $FILE
then
   echo "File already exist."
else
   echo "creating $FILE."
   touch $FILE
   while :
   do
       echo -e "would you like to erase it? \c"
       read ANS
       case $ANS in
          [yY] | [yY][eE][sS])  echo "Fine, then we'll erase it."
                   rm -f $FILE
                   break
                   ;;
          [nN] | [nN][oO]) echo "OK we will keep it, then."
                   break
                   ;;
          *) echo "You must enter a yes or no!"
       esac
   done
fi
exit 0
