# `minmax.sh f` prints the lowest and highest numbers from a file.
  if test $# -eq 0
      then
      echo usage: minmax filename
      exit 1
  fi
  FILE=$1
  sort -n $FILE > sorted.numbers
  read SMALLEST < sorted.numbers
  LARGEST=`tail -1 sorted.numbers`
  rm sorted.numbers
  echo " "
  echo "The smallest number is $SMALLEST."
  echo "The largest number is $LARGEST."
  echo " "
  exit 0
